<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ToolFileUpload.ascx.cs"
    Inherits="EPiServer.Research.Wiki.Units.ToolFileUpload" %>

<script type="text/javascript">
    
  $(function(){


         $("input.file_1").filestyle({ 
     image: "<%= EPiServer.Configuration.Settings.Instance.SiteUrl.ToString() %>Templates/WikiX/img/browse.png",
     imageheight : 25,
     imagewidth : 84,
     width : 100
 });
});
</script>

<div class="IndexLabel">
    <p>
        <EPiServer:Translate runat="server" Text="/wiki/dynamicelements/fileupload/title" />
    </p>
</div>
<div class="FileList">
    <asp:Repeater runat="server" ID="FileList">
        <ItemTemplate>
            <a href='<%# Container.DataItem %>'>
                <%#System.IO.Path.GetFileName(Container.DataItem.ToString()) %></a>
            <asp:ImageButton runat="server" AlternateText='<%#Translate("/wiki/dynamicelements/fileupload/remove") %>'
                ImageUrl="~/Templates/WikiX/img/icon_remove_file-on.png" CommandName="DELETEFILE"
                OnCommand="DeleteCommand" Visible='<%# CurrentPage.QueryDistinctAccess(EPiServer.Security.AccessLevel.Delete) %>'
                CommandArgument='<%#Container.DataItem %>' />
            <br />
        </ItemTemplate>
    </asp:Repeater>
</div>
<div class="UploadFiles">
    <div class="UploadInput">
        <asp:FileUpload runat="server" ID="NewFile" CssClass="file_1" />
    </div>
    <br />
    <br />
    <div class="UploadButtonItem">
        <img class="Field" src="~/Templates/WikiX/img/button_left.png" runat="server"
            width="5" height="24" alt="" border="0">
        <asp:Button runat="server" translate="/wiki/dynamicelements/fileupload/upload" CssClass="BrowseButton"
            ID="UploadBtn" />
        <img class="Field" src="~/Templates/WikiX/img/button_right.png" runat="server"
            width="5" height="24" alt="" border="0">
    </div>
</div>
