/*
COPYRIGHT (C) 2008 EPISERVER AB

THIS FILE IS PART OF WIKIX.
WIKIX IS FREE SOFTWARE: YOU CAN REDISTRIBUTE IT AND/OR MODIFY IT UNDER THE TERMS OF THE GNU LESSER GENERAL PUBLIC LICENSE VERSION v2.1 AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION.

WIKIX IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU LESSER GENERAL PUBLIC LICENSE FOR MORE DETAILS.
YOU SHOULD HAVE RECEIVED A COPY OF THE GNU LESSER GENERAL PUBLIC LICENSE ALONG WITH WIKIX. IF NOT, SEE <HTTP://WWW.GNU.ORG/LICENSES/>.
*/

using System;

namespace EPiServer.Research.Wiki.Units
{
    public partial class SearchBox : EPiServer.UserControlBase
    {

        public string GetAutocompleteLink()
        {
            return WikiManager.Instance.CreateAutocompleteUrl(CurrentPage.PageLink);
        }

        public void SearchClick(object sender, EventArgs e)
        {
            Response.Redirect(WikiManager.Instance.CreateSearchUrl(CurrentPage.PageLink, txtSearch.Value));
            Response.End();
        }
    }
}
