<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SectionEdit.ascx.cs"
    Inherits="EPiServer.Research.Wiki.Units.SectionEdit" %>
<%@ Register TagPrefix="CMS" TagName="TagBox" Src="~/Templates/PageEntity/TagBox/tagbox.ascx" %>
<asp:Panel CssClass="ArticleEdit" runat="server" DefaultButton="SaveBtn">

    <script type="text/javascript" language="javascript">
        $(document).ready(function() {

            $('#dialog').dialog({ autoOpen: true, modal: true, width: 770, height: 600, closeOnEscape: false, resizable: true });

            $('#<%= CancelBtn.ClientID %>').click(cancel);

            $('.ui-icon-closethick').click(cancel);

            $('#<%= SaveBtn.ClientID %>').click(function() {

                var name = escape($('#<%= EditName.ClientID %>').val());
                var body = escape(getContent());

                var toc = "";
                $('input:checked').each(
                function() {
                    toc = 'true'
                }
                  );
                var cats = "";
                $('.EditCategoryList option:selected').each(function() {
                    cats += $(this).val() + ';';
                });

                var type = "";
                $('input:checked').each(
                function() {
                    toc = 'true'
                }
               );

                addTag();

                var type = "";
                $('.EditInput option:selected').each(function() {
                    type = $(this).val();
                });

                var comment = $('#<%= EditComment.ClientID %>').val();

                if (window.location.href.indexOf('?edit') > 0) {

                    var id = window.location.href.split('?')[1].split('=')[1];
                    var originalurl = window.location.href.split('?')[0];
                    var action = window.location.href.split('?')[1].split('=')[0];

                    $.ajax({
                        type: "POST",
                        url: "/Templates/WikiX/Core/SaveArticleAjax.aspx/UpdateArticle",
                        data: "{\"name\":\"" + name + "\", \"type\":\"" + type + "\", \"body\":\"" + body + "\", \"comment\":\"" + comment + "\", \"pageid\":\"" + id + "\", \"showtoc\":\"" + toc + "\", \"selectedcats\":\"" + cats + "\", \"IsArticle\":\"<%= IsArticle %>\"}",
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function(msg) {

                            alert('updated content');

                            var url = window.location.href;

                            var arrurl = url.split('?')[0];


                            window.location.href = arrurl;

                        },
                        failure: function() { alert('Error'); window.location.href = originalurl; }
                    });

                } else if (window.location.href.indexOf('?add') > 0) {

                    var id = window.location.href.split('?')[1].split('=')[1];
                    var originalurl = window.location.href.split('?')[0];
                    var action = window.location.href.split('?')[1].split('=')[0];

                    $.ajax({
                        type: "POST",
                        url: "/Templates/WikiX/Core/SaveArticleAjax.aspx/CreateNewSection",
                        data: "{\"name\":\"" + name + "\", \"type\":\"" + type + "\", \"body\":\"" + body + "\", \"comment\":\"" + comment + "\", \"pageid\":\"" + id + "\"}",
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function(msg) {

                            alert('Added new section');
                            var url = window.location.href;

                            var arrurl = url.split('?')[0];


                            window.location.href = arrurl;
                        },
                        failure: function() { alert('Error'); window.location.href = originalurl; }
                    });

                } else {

                    id = '<%= CurrentPage.PageLink.ID.ToString() %>';



                    $.ajax({
                        type: "POST",
                        url: "/Templates/WikiX/Core/SaveArticleAjax.aspx/CreateNewArticle",
                        data: "{\"name\":\"" + name + "\", \"type\":\"" + type + "\", \"body\":\"" + body + "\", \"comment\":\"" + comment + "\", \"pageid\":\"" + id + "\", \"showtoc\":\"" + toc + "\", \"selectedcats\":\"" + cats + "\"}",
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function(msg) {

                            alert('Added new article');
                           window.location.href = msg.d;
                        },
                        failure: function() { alert('Error'); }
                    });
                }

            });

            // $('#dialog').dialog();


            $('#<%= EditCategories.ClientID %>').hide();

            //hover states on the static widgets
            $('ul#icons li').hover(
					function() { $(this).addClass('ui-state-hover'); },
					function() { $(this).removeClass('ui-state-hover'); }
				);
            var bool = false;
            $('ul#icons li').click(function() {

                if (bool == false) {
                    $(this).addClass('ui-state-active');
                    $(this).find('span').removeClass('ui-icon-carat-1-e');

                    $(this).find('span').addClass('ui-icon-carat-1-s');
                    $('#<%= EditCategories.ClientID %>').show('fast');
                    bool = true;
                } else {
                    $(this).removeClass('ui-state-active');
                    $(this).find('span').removeClass('ui-icon-carat-1-s');
                    $(this).find('span').addClass('ui-icon-carat-1-e');
                    $('#<%= EditCategories.ClientID %>').hide('fast');
                    bool = false;
                }

            });

        });


        function addTag() {

            var retVal = '';
            var i = 0;


            for (var i = 0, len = $("#EntityTagsList").children().length; i < len; ++i) {
                //substr is used to remove "ListItem" at the start of the id-atrribute value.
                retVal += parseInt($("#EntityTagsList").children()[i]["id"].substr(8), 10) + '|';

                if ($("#EntityTagsList").children()[i].innerText) {
                    retVal += $("#EntityTagsList").children()[i].innerText + ',';
                }
                else {
                    retVal += $("#EntityTagsList").children()[i].textContent + ',';
                }
            }
        
                id = '<%= CurrentPage.PageLink.ID.ToString() %>';

            $.ajax({
                type: "POST",
                url: "/Templates/WikiX/Core/SaveArticleAjax.aspx/AddTags",
                data: "{\"retVal\":\"" + retVal + "\", \"pageid\":\"" + id + "\"}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function(msg) {
                },
                failure: function() { alert('Error'); window.location.href = originalurl; }
            });
            
        }

    </script>

    <script type="text/javascript" language="javascript">
           tinyMCE.init({mode: 'textareas',
             theme_advanced_toolbar_location : 'top', 
             theme_advanced_toolbar_align : 'left', 
             theme_advanced_resizing : 'true', 
             theme_advanced_statusbar_location : "bottom",  
             entity_encoding : 'utf-8', 
             theme: 'advanced', 
             plugins:'fullscreen, table, -wikifile, paste', 
             theme_advanced_disable:'formatselect,fontselect,fontsizeselect,styleselect,indent,outdent,anchor,code,charmap,help,hr,sub,sup,visualaid,separator', 
             theme_advanced_buttons1_add:'insertbutton',  
             file_browser_callback : 'MyBrowseSetting',
             remove_linebreaks: false,
             paste_auto_cleanup_on_paste: true,
            theme_advanced_buttons3: 'tablecontrols,|,pasteword,cleanup, removeformat, fullscreen'
        });
           
           function getContent(){
                return tinyMCE.get('<%= BodyText.ClientID %>').getContent();
            }       
           
           function cancel(){
           
                 if(window.location.href.indexOf('?edit') > 0){
                   
                   var id = window.location.href.split('?')[1].split('=')[1];
            var originalurl = window.location.href.split('?')[0];
             var action = window.location.href.split('?')[1].split('=')[0];
             
             
             
                             $.ajax({
                              type: "POST",
                              url: "/Templates/WikiX/Core/SaveArticleAjax.aspx/Cancel",
                              data: "{\"pageid\":\""+id+"\"}",
                              contentType: "application/json; charset=utf-8",
                              dataType: "json",
                              success: function(msg) {
                              
                                       window.history.go(-1);
                                   
                              }, 
                               failure: function() {alert('Error'); window.location.href = originalurl; }
                        });   
           
                        }else{
                                  window.history.go(-1);
                        }
           }
     var Page;
     var BaseUrl;
     
    function MyBrowseSetting(field_name, url, type, win) {
    
      var cmsURL = "<%=EPiServer.Configuration.Settings.Instance.SiteUrl%>/Templates/TinyMCE/WrapServerObjectBrowser.aspx?id=<%=CurrentPage.PageLink.ID %>_<%= CurrentPage.PageLink.WorkID %>&type="+type;
   
       tinyMCE.activeEditor.windowManager.open({
            file : cmsURL,
            title : 'EPiServer File Browser',
            width : 620,  
            height : 650,
            resizable : "yes",
            inline : "yes", 
            close_previous : "no"
        }, {
            window : win,
            input : field_name
        });      
    }

    </script>

    <div id="dialog" title="Edit">
        <div class="EditInputItem">
            <div class="EditLabel">
                <EPiServer:Translate runat="server" Text="/wiki/edit/title" />
            </div>
            <asp:TextBox runat="server" CssClass="EditInputComment" ID="EditName" />
        </div>
        <div class="EditInputItem" runat="server" visible='<%# !IsArticle %>'>
            <div class="EditLabel">
                <EPiServer:Translate ID="Translate1" runat="server" Text="/wiki/edit/type" />
            </div>
            <asp:DropDownList runat="server" ID="TypeList" CssClass="EditInput">
                <asp:ListItem Text="Section" Value="Section" />
                <asp:ListItem Text="FactBox" Value="FactBox" />
            </asp:DropDownList>
        </div>
        <div id="Div1" class="EditInputItem" runat="server" visible='<%# IsArticle %>'>
            <div class="EditLabel">
                <EPiServer:Translate ID="Translate3" runat="server" Text="/wiki/edit/showtoc" />
            </div>
            <asp:CheckBox runat="server" ID="EditShowTOC" />
        </div>
        <div id="Div2" class="EditInputItem" runat="server" visible='<%# IsArticle && HasCategories() %>'>
            <div class="EditLabel">
                <EPiServer:Translate ID="Translate4" runat="server" Text="/wiki/edit/category" />
            </div>
            <ul id="icons" class="ui-widget ui-helper-clearfix">
                <li class="ui-state-default" id="first" title="Choose Categories"><span
                    id="arrow" class="ui-icon ui-icon-carat-1-e">></span></li>
            </ul>
            <div class="EditInputItem">
                <asp:ListBox CssClass="EditCategoryList" runat="server" ID="EditCategories" SelectionMode="Multiple">
                </asp:ListBox>
            </div>
        </div>
        <div class="ClearLeft"></div>
        <div class="ArticleHelpText">
            <p>
                <EPiServer:Translate runat="server" Text="/wiki/edit/helptext" />
            </p>
        </div>
        <!--textarea class="ArticleText" rows="5">At the moment I'm fixing a number of the bugs on the WikiBugs page as well as other holes. Soon you should see improved syntax handling  and category search. I'm also working on refactoring the code to make it more understandable and transparent.</textarea-->
        <div style="clear: left;">
        </div>
        <asp:TextBox runat="server" TextMode="MultiLine" ID="BodyText" Style="float: left;
            width: 100%; height: 300px; padding: 10px 10px 10px 10px;" />
       <div class="ArticleEditTools">
              <CMS:TagBox ID="tagbox" runat="server"  />
            </div>
          <div class="ArticleEditTools">
            <div class="EditInputItem">
                <div class="EditLabel">
                    <EPiServer:Translate ID="Translate2" runat="server" Text="/wiki/edit/comment" />
                </div>
                <asp:TextBox runat="server" ID="EditComment" CssClass="EditInputComment" />
            </div>
            
            
            <div class="EditButtonItem">
                <asp:Button runat="server" ID="SaveBtn" translate="/wiki/edit/save" TabIndex="10"
                    CssClass="EditButton" />
            </div>
            <div class="EditButtonItem">
                <asp:Button runat="server" ID="CancelBtn" translate="/wiki/edit/cancel" TabIndex="50"
                    CssClass="EditButton" />
            </div>
        </div>
    </div>
</asp:Panel>
