<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SectionMenu.ascx.cs"
    Inherits="EPiServer.Research.Wiki.Units.SectionMenu" %>
<div class='<%=CssClass %>' >
    <div id="Div1" visible='<%# IsBeingEdited() %>' runat="server" class="IconCurrentEdit">
        <a href="#" title='<%=Translate("/wiki/article/sectionmenu/beingedited") %>'></a>
    </div>
    <div visible='<%# CanEdit() %>' runat="server" class="IconSection">
        <a href='<%# AddLink() %>' title='<%=Translate("/wiki/article/sectionmenu/addsection") %>'></a>
    </div>
    <div class="IconEdit" runat="server" visible='<%# CanEdit() %>'>
        <a href='<%# EditLink() %>' title='<%=Translate("/wiki/article/sectionmenu/edit") %>'></a>
    </div>
    <div class="IconDelete" visible='<%#!IsArticle && CanDelete() %>' runat="server">
        <asp:LinkButton runat="server" ToolTip='<%# Translate("/wiki/article/sectionmenu/delete") %>' CommandName="Delete" CommandArgument='<%# ActivePage.ToString() %>' OnCommand="HandleDelete" OnClientClick='<%# Translate("/wiki/article/sectionmenu/confirmdelete") %>' />
    </div>
    <div class="IconUp" runat="server" visible='<%# !IsArticle && CanMoveUp() %>'>
        <asp:LinkButton runat="server" ToolTip='<%# Translate("/wiki/article/sectionmenu/moveup") %>' CommandName="MoveUp" CommandArgument='<%# ActivePage.ToString() %>' OnCommand="HandleMove" />
    </div>
    <div class="IconDown" runat="server" visible='<%# !IsArticle && CanMoveDown() %>'>
        <asp:LinkButton runat="server" ToolTip='<%# Translate("/wiki/article/sectionmenu/movedown") %>' CommandName="MoveDown" CommandArgument='<%# ActivePage.ToString() %>' OnCommand="HandleMove" />
    </div>
</div>
