<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ArticleDiscussion.ascx.cs"
    Inherits="EPiServer.Research.Wiki.Units.ArticleDiscussion" %>
    
<div class="ArticleView">
    <div class="ArticleViewHead">
        <div class="ArticleHead">
            <h1><EPiServer:Property ID="Property1" runat="server" PropertyName="PageName" /></h1>
        </div>
        <div class="ModeLabel">
            <p>
                <EPiServer:Translate ID="Translate1" runat="server" Text="/wiki/discussion/title" />
            </p>
        </div>
    </div>
    
    <div class="ArticleHistoryTable">
    <EPiServer:PageList SortOrder="CreatedDescending" runat="server" ID="list" DataSource='<%# EPiServer.Research.Wiki.WikiManager.Instance.GetDiscussions(CurrentPage.PageLink,10,0) %>'>
   
   <ItemTemplate>
                <p class="DiscussHead">
                    <span class="DiscussDate">
                        <%# GetFormattedDate(Container.DataItem, "d") %>
                    </span><span class="DiscussAuthor">
                        <%# GetUser(Container.DataItem) %>
                    </span>
                </p>
                <div class="ClearLeft"></div>
              
                    <EPiServer:Property CssClass="DiscussRow" ID="Property2" runat="server" PropertyName="MainBody" />
               
   </ItemTemplate>
    </EPiServer:PageList>
      
        <asp:Panel runat="server" ID="PostDiscussion" >
        
        <div class="DiscussNewPost">
            <h3>
                <EPiServer:Translate runat="server" Text="/wiki/discussion/writecommenthere" />
            </h3>
            <p></p>
            <asp:TextBox CssClass="DiscussNewPost" runat="server" ID="NewComment" TextMode="MultiLine" Width="500" Height="100" />
        </div>
        <div class="ClearLeft"></div>
        <div class="DiscussButtonItem">
            <div class="Field">
                <img src="/Templates/WikiX/img/button_left.png" width="5" height="24" alt="" border="0">
            </div>
            <asp:Button runat="server" translate="/wiki/discussion/submitcomment" ID="SubmitBtn" class="BrowseButton" />
            <div class="Field">
                <img src="/Templates/WikiX/img/button_right.png" width="5" height="24" alt="" border="0">
            </div>
        </div>
        </asp:Panel>
    </div>
</div>
