<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="ArticleHistory.ascx.cs"
    Inherits="EPiServer.Research.Wiki.Units.ArticleHistory" %>
    
<div class="ArticleView">
    <div class="ArticleViewHead">
        <div class="ArticleHead">
            <h1>
                <EPiServer:Property runat="server" PropertyName="PageName" />
            </h1>
        </div>
        <div class="ModeLabel">
            <p>
                <EPiServer:Translate ID="Translate1" runat="server" Text="/wiki/history/title" />
            </p>
        </div>
    </div>
    
    <div class="ArticleHistoryTable">
        <p class="HistoryHead">
            <span>
                <EPiServer:Translate runat="server" Text="/wiki/history/datetime" />
            </span><span>
                <EPiServer:Translate ID="Translate2" runat="server" Text="/wiki/history/author" />
            </span><span>
                <EPiServer:Translate ID="Translate3" runat="server" Text="/wiki/history/area" />
            </span><span>
                <EPiServer:Translate ID="Translate4" runat="server" Text="/wiki/history/comment" />
            </span><span>
                <EPiServer:Translate ID="Translate5" runat="server" Text="/wiki/history/status" />
            </span><span>
                <EPiServer:Translate ID="Translate6" runat="server" Text="/wiki/history/update" />
            </span>
        </p>
        <br />
        <asp:Repeater runat="server" ID="Sections">
            <ItemTemplate>
                <p class="HistoryRow">
                    <span>
                        <%# getItem(Container.DataItem, "Saved") %></span>
                         <span>
                            <%# getItem(Container.DataItem, "By") %></span> 
                            <span>
                                <%# getItem(Container.DataItem, "Section") %></span>
                                 <span>
                                    <%# getItem(Container.DataItem, "Difference") %></span>
                                     <span>
                                        <%# getItem(Container.DataItem, "Status") %></span>
                                     
                                        <span>
                                      
                                        
                                                <img class="Field" src="/Templates/WikiX/img/button_left.png" width="4" height="24"
                                                    alt="" border="0">
                                         
                                         
                                            <asp:Button runat="server" ID="SectionUpdateButton" CssClass="BrowseButton" translate="/wiki/history/updatesection"
                                                CommandArgument='<%# Container.ItemIndex %>' OnClientClick='<%# Translate("/wiki/article/sectionmenu/confirmrestore") %>'
                                                 Enabled="<%# isVisible() %>" OnCommand="SectionUpdate" />
                                                <img class="Field" src="/Templates/WikiX/img/button_right.png" width="4" height="24"
                                                    alt="" border="0">
                                    
                                 <br /><br />
                                           
                                         
                                                <img class="Field" src="/Templates/WikiX/img/button_left.png" width="4" height="24"
                                                    alt="" border="0">
                                         
                                            <asp:Button runat="server" ID="ArticleUpdateButton" Enabled="<%# isVisible() %>"
                                                CssClass="BrowseButton" translate="/wiki/history/updatearticle" CommandArgument='<%# Container.ItemIndex %>'
                                                OnCommand="ArticleUpdate" OnClientClick='<%# Translate("/wiki/article/sectionmenu/confirmrestoreentire") %>' />
                                                       <img class="Field" src="/Templates/WikiX/img/button_right.png" width="4" height="24"
                                                    alt="" border="0">
                                              
                                           
                                           </span>
                                      
                </p>
            </ItemTemplate>
        </asp:Repeater>
    </div>
</div>
