<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="Tags.ascx.cs" Inherits="EPiServer.Research.Wiki.Units.Tags" %>
<div class="IndexLabel">
    <p>
        Tags
    </p>
</div>
<div class="LeftMenuList">
    <asp:ListView ID="lvTags" runat="server" ItemPlaceholderID="plhLayout">
        <LayoutTemplate>
            <ul class="tagCloud">
                <asp:PlaceHolder ID="plhLayout" runat="server" />
            </ul>
        </LayoutTemplate>
        <ItemTemplate>
            <li>
                <%# RenderTag((EPiServer.Common.Tags.TagCloudItem)Container.DataItem)%>
            </li>
        </ItemTemplate>
        <EmptyDataTemplate>
            <div class="itemSummary">
                <h3>
                    <%=Translate("/general/notagsfound") %></h3>
            </div>
        </EmptyDataTemplate>
    </asp:ListView>
    </div>

