<%@ Page Language="c#" Inherits="EPiServer.Research.Wiki.Pages.CategoryList" CodeBehind="CategoryList.aspx.cs"
    MasterPageFile="~/EPiServer.Research.Wiki/MasterPages/WikiMaster.Master" %>

<%@ Register TagPrefix="Wiki" TagName="LeftMenu" Src="~/EPiServer.Research.Wiki/Units/LeftMenu.ascx" %>
<asp:Content runat="server" ContentPlaceHolderID="MainContent">
  <div class="ArticleView">
    <div class="ArticleViewHead">
        <div class="ArticleHead">
             <h1>   <EPiServer:Translate runat="server" ID="CategoryHeading" Text="/wiki/category/cathead"
                    StringFormatObjects='<%# new object[]{HttpContext.Current.Items["Category1"],HttpContext.Current.Items["Category2"]} %>' />
          </h1>  </div>
        <div class="ModeLabel">
            <p>
                <EPiServer:Translate ID="Translate1" runat="server" Text="/wiki/category/title" />
            </p>
        </div>
    </div>
  
  
        <div class="ArticleViewBody">
            
            
                <div id="ResultArea">
                    <EPiServer:PageList runat="server" ID="PagesInCat" Paging="true" PagesPerPagingItem="20">
                        <HeaderTemplate>
                            <ul>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <li>
                                <EPiServer:Property runat="server" PropertyName="PageLink" />
                                <p>
                                    <%#  EPiServer.Research.Wiki.WikiManager.Instance.GetPreviewText(Container.DataItem, CurrentPage.PageLink) %>
                                
                                </p>
                            </li>
                        </ItemTemplate>
                        <FooterTemplate>
                            </ul>
                        </FooterTemplate>
                    </EPiServer:PageList>
                    <h2 id="NoSearchResult" runat="server" visible="false">
                        <asp:Literal ID="Literal2" runat="server" Text="<%$ Resources: EPiServer, wiki.search.nosearchresult %>" /></h2>
                </div>
            </div>
        </div>
 
</asp:Content>
<asp:Content runat="server" ContentPlaceHolderID="LeftColumn">
    <Wiki:LeftMenu runat="server" MenuProperty="LeftMenuCategory" />
</asp:Content>
