<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SectionEdit.ascx.cs"
    Inherits="EPiServer.Research.Wiki.Units.SectionEdit" %>

<asp:Panel ID="Panel1" CssClass="ArticleEdit" runat="server" DefaultButton="SaveBtn">



    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            $('#dialog').dialog({ autoOpen: true, modal: true, width: 770, height: 550, closeOnEscape: false, resizable: true

            });

            $('#dialog').parent().appendTo($("form:first"));
            $('.ui-dialog-titlebar-close').hide();
            $('#<%= EditCategories.ClientID %>').hide();

        });

    </script>

    <script type="text/javascript" language="javascript">



        tinyMCE.init({ mode: 'textareas',

        theme: 'advanced',
        skin: 'o2k7',
        skin_variant: 'silver',
        convert_urls: false, 
            theme_advanced_toolbar_location: 'top',
            theme_advanced_toolbar_align: 'left',
            theme_advanced_resizing: 'true',
            theme_advanced_statusbar_location: "bottom",
            entity_encoding: 'utf-8',
          dialog_type : "modal",

          plugins: 'fullscreen, table, inlinepopups',
            theme_advanced_disable: 'formatselect,fontselect,fontsizeselect,styleselect,indent,outdent,anchor,code,cleanup,charmap,removeformat,help,hr,sub,sup,visualaid,separator',
                  theme_advanced_buttons3         : "",
                   theme_advanced_buttons2         : "",
            file_browser_callback: 'MyBrowseSetting',
            remove_linebreaks: false,
            theme_advanced_buttons1: 'tablecontrols, fullscreen, undo,redo, bullist,numlist, image, link, unlink'
        });

        function getContent() {
            return tinyMCE.get('<%= BodyText.ClientID %>').getContent();
        }

        function getHTMLEncode(t) {
            return t.toString().replace('&', "&amp;").replace('\"', "&quot;").replace('<', "&lt;").replace('>', "&gt;");
        }

      
        var Page;
        var BaseUrl;

        function MyBrowseSetting(formInputId, value, type, win) {

                var dialogUrl;

            if(type == "image"){

                    dialogUrl = "<%= EPiServer.UriSupport.ResolveUrlFromUIBySettings("edit/FileManagerBrowser.aspx") %>"+"?id=<%=CurrentPage.PageLink.ID %>_<%= CurrentPage.PageLink.WorkID %>" + '&hideclearbutton=true&browserselectionmode=' + type + '&selectedfile=' + encodeURIComponent(value);           
            
            }
            else
            {
                  dialogUrl = "<%= EPiServer.UriSupport.ResolveUrlFromUIBySettings("edit/PageBrowser.aspx") %>"+"?id=<%=CurrentPage.PageLink.ID %>_<%= CurrentPage.PageLink.WorkID %>" + '&hideclearbutton=true&browserselectionmode=' + type;           
            
            }
                var onDialogComplete;

                onDialogComplete = function(returnValue, onCompleteArguments) {
                    var formInput = win.document.getElementById(formInputId);
                    if (returnValue && returnValue != formInput.value) {
                        formInput.value = decodeURIComponent(returnValue);
                    }
                };         
                EPi.CreateDialog(dialogUrl, onDialogComplete, null, null, { width: 600 });
 
 }
    </script>
    
    
 
    <div id="dialog" title="Edit">
        <div class="EditInputItem">
            <div class="EditLabel">
                <EPiServer:Translate ID="Translate1" runat="server" Text="/wiki/edit/title" />
            </div>
            <asp:TextBox runat="server" CssClass="EditInputComment" ID="EditName" />
                <asp:RequiredFieldValidator ValidationGroup="SectionEdit" runat="server" ID="NameValidator" ControlToValidate="EditName" ErrorMessage="***" />
     
        </div>
           
        <div id="Div1" class="EditInputItem" runat="server" visible='<%# !IsArticle %>'>
            <div class="EditLabel">
                <EPiServer:Translate ID="Translate2" runat="server" Text="/wiki/edit/type" />
            </div>
            <asp:DropDownList runat="server" ID="TypeList" CssClass="EditInput">
                <asp:ListItem Text="Section" Value="Section" />
                <asp:ListItem Text="FactBox" Value="FactBox" />
            </asp:DropDownList>
        </div>
        <div id="Div2" class="EditInputItem" runat="server" visible='<%# IsArticle %>'>
            <div class="EditLabel">
                <EPiServer:Translate ID="Translate3" runat="server" Text="/wiki/edit/showtoc" />
            </div>
            <asp:CheckBox runat="server" ID="EditShowTOC" />
        </div>
        <div id="Div3" class="EditInputItem" runat="server" visible='<%# IsArticle && HasCategories() %>'>
            <div class="EditLabel">
                <EPiServer:Translate ID="Translate4" runat="server" Text="/wiki/edit/category" />
            </div>
            <ul id="icons" class="ui-widget ui-helper-clearfix">
                <li class="ui-state-default" id="first" title="Choose Categories"><span
                    id="arrow" class="ui-icon ui-icon-carat-1-e">></span></li>
            </ul>
            <div class="EditInputItem">
                <asp:ListBox CssClass="EditCategoryList" runat="server" ID="EditCategories" SelectionMode="Multiple">
                </asp:ListBox>
            </div>
        </div>
        <div class="ClearLeft"></div>
        <div class="ArticleHelpText">
            <p>
                <EPiServer:Translate ID="Translate6" runat="server" Text="/wiki/edit/helptext" />
            </p>
        </div>
        <!--textarea class="ArticleText" rows="5">At the moment I'm fixing a number of the bugs on the WikiBugs page as well as other holes. Soon you should see improved syntax handling  and category search. I'm also working on refactoring the code to make it more understandable and transparent.</textarea-->
        <div style="clear: left;">
        </div>
        <asp:TextBox runat="server" TextMode="MultiLine" ID="BodyText" Style="float: left;
            width: 100%; height: 400px; padding: 10px 10px 10px 10px;" />
    
          <div class="ArticleEditTools">
            <div class="EditInputItem">
                <div class="EditLabel">
                    <EPiServer:Translate ID="Translate5" runat="server" Text="/wiki/edit/comment" />
                </div>
                <asp:TextBox runat="server" ID="EditComment" CssClass="EditInputComment" />
            </div>
          
            <div class="EditButtonItem">
                <asp:Button runat="server" ValidationGroup="SectionEdit" ID="SaveBtn" OnClick="SaveBtn_Click" translate="/wiki/edit/save" TabIndex="10"
                    CssClass="EditButton" />
            </div>
            <div class="EditButtonItem">
                <asp:Button runat="server" ID="CancelBtn" OnClick="CancelBtn_Click" translate="/wiki/edit/cancel" TabIndex="50"
                    CssClass="EditButton" />

            </div>
           
        </div>
    </div>
</asp:Panel>
